### A free/open-source library for quantitative finance

Public Member Functions
DigitalCmsCoupon Class Reference

Cms-rate coupon with digital digital call/put option. More...

`#include <ql/cashflows/digitalcmscoupon.hpp>`

Inheritance diagram for DigitalCmsCoupon:
[legend]

List of all members.

## Public Member Functions

DigitalCmsCoupon (const boost::shared_ptr< CmsCoupon > &underlying, Rate callStrike=Null< Rate >(), Position::Type callPosition=Position::Long, bool isCallATMIncluded=false, Rate callDigitalPayoff=Null< Rate >(), Rate putStrike=Null< Rate >(), Position::Type putPosition=Position::Long, bool isPutATMIncluded=false, Rate putDigitalPayoff=Null< Rate >(), const boost::shared_ptr< DigitalReplication > &replication=boost::shared_ptr< DigitalReplication >())

Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Cms-rate coupon with digital digital call/put option.